{-# LANGUAGE LambdaCase #-}
module Operations.List where

import Control.Monad.Buuka
import Control.Monad.Reader
       (asks, liftIO)

import Data.Foldable
       (traverse_)

import Data.Buuka
       (Buuka)
import qualified Data.Buuka as B

import Operations.Format

import Data.Text
       (Text)
import qualified Data.Text.IO as T


list :: BuukaM ()
list =
  buukaQ (asks go) >>= traverse_ (liftIO . T.putStrLn)
  where
    go :: Buuka -> [Text]
    go b = formatEntries b (B.elements b)
